summaryrefslogtreecommitdiffstats
path: root/audio/transcribe/transcribe.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/transcribe/transcribe.SlackBuild')
-rw-r--r--audio/transcribe/transcribe.SlackBuild46
1 files changed, 30 insertions, 16 deletions
diff --git a/audio/transcribe/transcribe.SlackBuild b/audio/transcribe/transcribe.SlackBuild
index 7c417cae2c..0968b6fc25 100644
--- a/audio/transcribe/transcribe.SlackBuild
+++ b/audio/transcribe/transcribe.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for transcribe
-# Written by B. Watson (yalhcru@gmail.com)
+# Written by B. Watson (urchlay@slackware.uk)
# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
@@ -22,7 +22,15 @@
# The version number doesn't appear in the tarball filename or the URL,
# so be careful that $VERSION matches the actual version number (found
-# in Help/About)
+# in Help/About)... though starting with v8.80, I host the tarballs
+# and put $VERSION in the filenames.
+
+# 20211127 bkw: updated for v8.80 and -current. This is the last
+# version that supports 32-bit. I tried the latest verion (9.10.0)
+# on 64-bit, but it fails to init the audio device, then crashes
+# with a "malloc(): unaligned tcache chunk detected", which means
+# either an actual bug (that I can't fix due to lack of source) or an
+# incompatible library (the 9.10.0 binary is built on XUbuntu 20.4).
# 20191211 bkw: updated for v8.73. This is the "older version" upstream
# provides for OSes where the libraries (including glibc) are too
@@ -36,7 +44,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=transcribe
-VERSION=${VERSION:-8.73}
+VERSION=${VERSION:-8.80}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -49,9 +57,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -61,21 +66,21 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
+if [ "$ARCH" = "i586" -o "$ARCH" = "i686" ]; then
LIBDIRSUFFIX=""
+ BITS=32
elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
+ BITS=64
else
- echo "Unsupported ARCH '$ARCH', this package probably won't work"
- sleep 5
- LIBDIRSUFFIX=""
+ echo "*** Unsupported ARCH '$ARCH', only i586/i686/x86_64 supported."
+ exit 1
fi
-# The dist tarball's filename has no connection whatsoever to
-# the actual name of the program...
-TARNAME=xsc${LIBDIRSUFFIX}setup.tar.gz
+# The dist tarball's filename has no connection whatsoever to the
+# actual name of the program... The -$VERSION was put there by me (I
+# renamed the file) to allow me to host multiple versions.
+TARNAME=xsc${BITS}setup-$VERSION.tar.gz
set -e
@@ -100,9 +105,18 @@ mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM \
install -oroot -groot -m0755 $PRGNAM $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/
install -oroot -groot -m0644 xschelp.htb $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/
install -oroot -groot -m0644 readme_gtk.html $PKG/usr/doc/$PRGNAM-$VERSION/
-install -oroot -groot -m0644 gtkicons/xsc128x128.png $PKG/usr/share/pixmaps/
install -oroot -groot -m0755 $PRGNAM.sh $PKG/usr/bin/$PRGNAM
+for i in gtkicons/*.png; do
+ px="$( basename $i | cut -dx -f3 | cut -d. -f1 )"
+ size=${px}x${px}
+ dir=$PKG/usr/share/icons/hicolor/$size/apps
+ mkdir -p $dir
+ cat $i > $dir/$PRGNAM.png
+done
+
+ln -s ../icons/hicolor/48x48/apps/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
# Starting with v8.70, a gstreamer plugin is included.
if [ -e libgstvideosection.so ]; then
mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/gstreamer-1.0